Bug 169573 - iptables-ipv6 missing /lib/iptables/libip6t_REJECT.so
iptables-ipv6 missing /lib/iptables/libip6t_REJECT.so
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
: Security
Depends On:
  Show dependency treegraph
Reported: 2005-09-29 15:23 EDT by H. Peter Anvin
Modified: 2015-01-04 17:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-06 03:43:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description H. Peter Anvin 2005-09-29 15:23:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
iptables-ipv6 is missing the module libip6t_REJECT.so, required to create REJECT rules.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
ip6tables -A INPUT \! -i lo -p udp -m udp --dport 1119 -j REJECT

Actual Results:  ip6tables v1.3.0: Couldn't load target `REJECT':/lib/iptables/libip6t_REJECT.so: cannot open shared object file: No such file or directory

Try `ip6tables -h' or 'ip6tables --help' for more information.

Expected Results:  Creating a reject rule

Additional info:
Comment 1 Thomas Woerner 2005-10-05 11:03:12 EDT
There is a missing define for IP6T_ICMP6_NO_ROUTE in the
netfilter_ipv6/ip6t_REJECT.h header file in glibc-kernheaders and in kernel.

Assigning to kernel for now.
Please assign to glibc-kernheaders if the kernel header file got fixed.
Comment 2 Dave Jones 2005-10-06 03:43:05 EDT
IP6_NF_REJECT isn't in 2.6.13, which the current FC4 kernel is based on.
When I backport 2.6.14 after its release to FC4, I'll revisit this bug.

Note You need to log in before you can comment on or make changes to this bug.